﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using InfotecArchitects.CreateForm.Runtime;
using InfotecArchitects.CreateForm.Runtime.Pdf;


public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        // ①実行オプションの設定
        RuntimeParam param = new RuntimeParam();
        param.WorkDir = "C:\\CreateV9\\sample\\02_kotei";
        param.StyleFile = "sheet.sty";
	// Webアプリケーションが動作しているカレントのパスに変更してください。(通常、Default.aspx.csが存在する場所)
        param.OutputFile = "C:\\Documents and Settings\\Administrator\\My Documents\\Visual Studio 2010\\WebSites\\WebSite3\\sheet_p1.pdf";
        // ②入力データファイルの設定
        InputDataParamStandard inputStd = new InputDataParamStandard();
        inputStd.DataFile = param.WorkDir + "\\sheet_p1.csv";
        InputDataParam[] inputData = { inputStd };
        param.InputData = inputData;
        // ③ランタイムオブジェクトを作成し、Execute メソッドを実行
        CastRuntime Cast = new CastRuntime();
        Cast.ProcessWindow = ProcessWindowStyle.CpwShow;
        Cast.ShownErrWindow = true;
        int ret = Cast.Execute(param);
        // ④ランタイム実行の後処理
        if (ret != 1)
        {
            // エラー処理
        }
        else
        {
            Response.Redirect("sheet_p1.pdf");
        }
    }
}
